'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var core = require('use-intl/core');
var messageFormatCache = require('../shared/messageFormatCache.js');

function getTranslatorImpl(config, namespace) {
  return core.createTranslator({
    ...config,
    messageFormatCache: messageFormatCache.getMessageFormatCache(),
    namespace
  });
}
var getBaseTranslator = React.cache(getTranslatorImpl);

exports.default = getBaseTranslator;
