import { Locales, LocalePrefixConfigVerbose, DomainConfig, Pathnames } from '../routing/types';
export declare function getFirstPathnameSegment(pathname: string): string;
export declare function comparePathnamePairs(a: string, b: string): number;
export declare function getSortedPathnames(pathnames: Array<string>): string[];
export declare function getInternalTemplate<AppLocales extends Locales, AppPathnames extends Pathnames<AppLocales>>(pathnames: AppPathnames, pathname: string, locale: AppLocales[number]): [AppLocales[number] | undefined, keyof AppPathnames | undefined];
export declare function formatTemplatePathname(sourcePathname: string, sourceTemplate: string, targetTemplate: string, prefix?: string): string;
/**
 * Removes potential prefixes from the pathname.
 */
export declare function getNormalizedPathname<AppLocales extends Locales>(pathname: string, locales: AppLocales, localePrefix: LocalePrefixConfigVerbose<AppLocales>): string;
export declare function findCaseInsensitiveString(candidate: string, strings: Array<string>): string | undefined;
export declare function getLocalePrefixes<AppLocales extends Locales>(locales: AppLocales, localePrefix: LocalePrefixConfigVerbose<AppLocales>): Array<[AppLocales[number], string]>;
export declare function getPathnameMatch<AppLocales extends Locales>(pathname: string, locales: AppLocales, localePrefix: LocalePrefixConfigVerbose<AppLocales>): {
    locale: AppLocales[number];
    prefix: string;
    matchedPrefix: string;
    exact?: boolean;
} | undefined;
export declare function getRouteParams(template: string, pathname: string): Record<string, string> | undefined;
export declare function formatPathnameTemplate(template: string, params?: object): string;
export declare function formatPathname(pathname: string, prefix: string | undefined, search: string | undefined): string;
export declare function getHost(requestHeaders: Headers): string | undefined;
export declare function isLocaleSupportedOnDomain<AppLocales extends Locales>(locale: string, domain: DomainConfig<AppLocales>): boolean;
export declare function getBestMatchingDomain<AppLocales extends Locales>(curHostDomain: DomainConfig<AppLocales> | undefined, locale: string, domainConfigs: Array<DomainConfig<AppLocales>>): DomainConfig<AppLocales> | undefined;
export declare function applyBasePath(pathname: string, basePath: string): string;
export declare function normalizeTrailingSlash(pathname: string): string;
export declare function getLocaleAsPrefix<AppLocales extends Locales>(locale: AppLocales[number]): string;
