import React, { ComponentProps } from 'react';
import { Locales } from '../../routing/types';
import { SharedNavigationRoutingConfigInput } from '../shared/config';
import ServerLink from './ServerLink';
export default function createSharedPathnamesNavigation<AppLocales extends Locales>(input?: SharedNavigationRoutingConfigInput<AppLocales>): {
    Link: (props: Omit<ComponentProps<typeof ServerLink<AppLocales>>, 'localePrefix' | 'locales'>) => React.JSX.Element;
    redirect: (pathname: string, type?: import("next/navigation").RedirectType | undefined) => never;
    permanentRedirect: (pathname: string, type?: import("next/navigation").RedirectType | undefined) => never;
    usePathname: () => never;
    useRouter: () => never;
};
